(function ($) {
    "use strict";

    function brandMarquee($scope, $) {
        $('.brand-marquee').marquee({
            speed: 50,
            gap: 0,
            delayBeforeStart: 0,
            direction: 'left',
            duplicated: true,
            pauseOnHover: false,
            startVisible: true,
        });
    }
    function caseStudySlider($scope, $) {
        $('.seo-project-slider').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            arrows: false,
            fade: false,
            adaptiveHeight: true,
            centerMode: true,
            useTransform: true,
            centerPadding: "300px",
            cssEase: 'cubic-bezier(0.77, 0, 0.18, 1)',
            responsive: [{
                breakpoint: 1025,
                settings: {
                    centerPadding: "150px",
                }
            }, {
                breakpoint: 640,
                settings: {
                    centerPadding: "100px",
                }
            }, {
                breakpoint: 420,
                settings: {
                    centerPadding: "20px",
                }
            }]
        });
        $('.seo-project-slider-nav')
            .on('init', function(event, slick) {
                $('.seo-project-slider-nav .slick-slide.slick-current').addClass('is-active');
            })
            .slick({
                slidesToShow: 4,
                slidesToScroll: 4,
                dots: false,
                arrows: false,
                focusOnSelect: false,
                infinite: true,
                responsive: [{
                    breakpoint: 1024,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3,
                    }
                }, {
                    breakpoint: 640,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3,
                    }
                }, {
                    breakpoint: 420,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2,
                    }
                }]
            });

        $('.seo-project-slider').on('afterChange', function(event, slick, currentSlide) {
            $('.seo-project-slider-nav').slick('slickGoTo', currentSlide);
            var currrentNavSlideElem = '.seo-project-slider-nav .slick-slide[data-slick-index="' + currentSlide + '"]';
            $('.seo-project-slider-nav .slick-slide.is-active').removeClass('is-active');
            $(currrentNavSlideElem).addClass('is-active');
        });

        $('.seo-project-slider-nav').on('click', '.slick-slide', function(event) {
            event.preventDefault();
            var goToSingleSlide = $(this).data('slick-index');

            $('.seo-project-slider').slick('slickGoTo', goToSingleSlide);
        });
    }
    function testimonialSlider($scope, $) {
        var slider = new Swiper(".sa-testimonial-slider", {
            loop: true,
            spaceBetween: 30,
            speed: 400,
            slidesPerView: 5,
            centeredSlides: true,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            pagination: {
                el: ".swiper-pagination",
                clickable: true,
            },
            navigation: {
                nextEl: ".swiper-button-next",
                prevEl: ".swiper-button-prev",
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 5,
                },
                '768': {
                    slidesPerView: 2,
                    centeredSlides: false,
                },
                '576': {
                    slidesPerView: 2,
                },
                '0': {
                    slidesPerView: 1,
                },
            },
        });
    }
    function teamSlider($scope, $) {
        var slider = new Swiper(".team-slider", {
            loop: true,
            spaceBetween: 30,
            speed: 400,
            slidesPerView: 3,
            centeredSlides: true,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            pagination: {
                el: ".swiper-pagination",
                clickable: true,
            },
            navigation: {
                nextEl: ".swiper-button-next",
                prevEl: ".swiper-button-prev",
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 3,
                },
                '768': {
                    slidesPerView: 2,
                },
                '576': {
                    slidesPerView: 3,
                },
                '0': {
                    slidesPerView: 1,
                },
            },
        });
    }
    function serviceActive($scope, $) {
        var active_bg = $(".service-list .active-bg");
        var element = $(".service-list .current");

        function activeServiceList(active_bg, e) {
            if (!e.length) {
                active_bg.css({ height: "100%" });
                return false;
            }
            var topOff = e.offset().top;
            var height = e.outerHeight();
            var menuTop = $(".service-list").offset().top;

            active_bg.css({ top: topOff - menuTop + "px", height: height + "px" });
            e.closest(".service-list-item").removeClass("mleave").addClass("current");
            e.closest(".service-list-item").siblings().removeClass("current").addClass("mleave");
        }

        $(".service-list .service-list-item").on("mouseenter", function () {
            var e = $(this);
            var index = e.index();

            activeServiceList(active_bg, e);
            $(".service-images .service-image-item").removeClass("active").eq(index).addClass("active");
            $(".service-content-image .xb-item--img").removeClass("active").eq(index).addClass("active");
        });

        $(".service-list").on("mouseleave", function () {
            element = $(".service-list .current");
            var index = element.index();

            activeServiceList(active_bg, element);

            $(".service-images .service-image-item").removeClass("active").eq(index).addClass("active");
            $(".service-content-image .xb-item--img").removeClass("active").eq(index).addClass("active");

            element.closest(".service-list-item").siblings().removeClass("mleave");
        });

        $(".service-list .service-list-item").on("click", function () {
            $(".service-list .service-list-item").removeClass("current");
            $(this).addClass("current");

            var index = $(this).index();
            $(".service-images .service-image-item").removeClass("active").eq(index).addClass("active");
            $(".service-content-image .xb-item--img").removeClass("active").eq(index).addClass("active");
        });
        activeServiceList(active_bg, element);
    }
    function casestudySliderV2($scope, $) {
        var slider = new Swiper(".project-slider", {
            loop: true,
            spaceBetween: 60,
            speed: 400,
            slidesPerView: 3,
            centeredSlides: true,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            pagination: {
                el: ".swiper-pagination",
                clickable: true,
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 3,
                },
                '1024': {
                    slidesPerView: 1,
                },
                '768': {
                    slidesPerView: 1,
                },
                '576': {
                    slidesPerView: 1,
                },
                '0': {
                    slidesPerView: 1,
                },
            },
        });
    }
    function testimonialV2($scope, $) {
        var slider = new Swiper(".testimonial-slider", {
            loop: true,
            spaceBetween: 30,
            speed: 400,
            slidesPerView: 3,
            centeredSlides: true,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            pagination: {
                el: ".swiper-pagination",
                type: "fraction",
            },
            navigation: {
                nextEl: ".swiper-button-next",
                prevEl: ".swiper-button-prev",
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 3,
                },
                '768': {
                    slidesPerView: 2,
                },
                '576': {
                    slidesPerView: 1,
                },
                '0': {
                    slidesPerView: 1,
                },
            },
        });
    }
    function marqueeLeft($scope, $) {
        $('.marquee-left').marquee({
            speed: 20,
            gap: 0,
            delayBeforeStart: 0,
            direction: 'left',
            duplicated: true,
            pauseOnHover: false,
            startVisible: true,
        });
    }
    function marqueeRight($scope, $) {
        $('.marquee-right').marquee({
            speed: 50,
            gap: 0,
            delayBeforeStart: 0,
            direction: 'rihgt',
            duplicated: true,
            pauseOnHover: false,
            startVisible: true,
        });
    }
    function daTestimonialSlider($scope, $) {
        var slider = new Swiper(".da-testimonial-slider", {
            loop: true,
            spaceBetween: 30,
            speed: 400,
            slidesPerView: 1,
            centeredSlides: true,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            pagination: {
                el: ".swiper-pagination",
                clickable: true,
            },
            navigation: {
                nextEl: ".swiper-button-next",
                prevEl: ".swiper-button-prev",
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 1,
                },
                '768': {
                    slidesPerView: 1,
                },
                '576': {
                    slidesPerView: 1,
                },
                '0': {
                    slidesPerView: 1,
                },
            },
        });
    }
    function industriesSlider($scope, $) {
        var slider = new Swiper(".industries-slider", {
            loop: true,
            spaceBetween: 40,
            speed: 400,
            slidesPerView: 8,
            centeredSlides: true,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            pagination: {
                el: ".swiper-pagination",
                clickable: true,
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 8,
                },
                '768': {
                    slidesPerView: 4,
                },
                '576': {
                    slidesPerView: 4,
                },
                '0': {
                    slidesPerView: 2,
                    spaceBetween: 20,
                    centeredSlides: false,
                },
            },
        });
    }
    function testimonialSliderV4($scope, $) {
        $('.cs-testimonial-slider').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            arrows: true,
            prevArrow:'<button type="button" class="slick-prev"><i class="fal fa-angle-left"></i></button>',
            nextArrow:'<button type="button" class="slick-next"><i class="fal fa-angle-right"></i></button>',
            fade: false,
            adaptiveHeight: true,
            useTransform: true,
            cssEase: 'cubic-bezier(0.77, 0, 0.18, 1)',
        });

        $('.cs-testimonial-slider-nav')
            .on('init', function(event, slick) {
                $('.cs-testimonial-slider-nav .slick-slide.slick-current').addClass('is-active');
            })
            .slick({
                slidesToShow: 5,
                slidesToScroll: 5,
                dots: false,
                arrows: false,
                focusOnSelect: false,
                infinite: true,
                responsive: [{
                    breakpoint: 1024,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3,
                    }
                }, {
                    breakpoint: 640,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3,
                    }
                }, {
                    breakpoint: 420,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2,
                    }
                }]
            });

        $('.cs-testimonial-slider').on('afterChange', function(event, slick, currentSlide) {
            $('.cs-testimonial-slider-nav').slick('slickGoTo', currentSlide);
            var currrentNavSlideElem = '.cs-testimonial-slider-nav .slick-slide[data-slick-index="' + currentSlide + '"]';
            $('.cs-testimonial-slider-nav .slick-slide.is-active').removeClass('is-active');
            $(currrentNavSlideElem).addClass('is-active');
        });

        $('.cs-testimonial-slider-nav').on('click', '.slick-slide', function(event) {
            event.preventDefault();
            var goToSingleSlide = $(this).data('slick-index');

            $('.cs-testimonial-slider').slick('slickGoTo', goToSingleSlide);
        });
    }
    function heroMarquee($scope, $) {
        $('.cd-marquee-left').marquee({
            speed: 50,
            gap: 0,
            delayBeforeStart: 0,
            direction: 'left',
            duplicated: true,
            pauseOnHover: false,
            startVisible: true,
        });
    }
    function odometer($scope, $) {
        if ($(".xbo").length) {
            $('.xbo').appear();
            $(document.body).on('appear', '.xbo', function (e) {
                var odo = $(".xbo");
                odo.each(function () {
                    var countNumber = $(this).attr("data-count");
                    $(this).html(countNumber);
                });
                window.xboOptions = {
                    format: 'd',
                };
            });
        }
    }
    function buttonAnimation($scope, $) {
        $('.xb-hover-btn').on('mouseenter', function (e) {
            var x = e.pageX - $(this).offset().left;
            var y = e.pageY - $(this).offset().top;

            $(this).find('.xb-btn-circle-dot').css({
                top: y,
                left: x
            });
        });
        $('.xb-hover-btn').on('mouseout', function (e) {
            var x = e.pageX - $(this).offset().left;
            var y = e.pageY - $(this).offset().top;

            $(this).find('.xb-btn-circle-dot').css({
                top: y,
                left: x
            });
        });
    }
    function testimonialSliderV5($scope, $) {
        var slider = new Swiper(".hd-testimonial-slider", {
            loop: true,
            spaceBetween: 30,
            speed: 400,
            slidesPerView: 3,
            centeredSlides: true,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            pagination: {
                el: ".swiper-pagination",
                clickable: true,
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 3,
                },
                '768': {
                    slidesPerView: 3,
                },
                '576': {
                    slidesPerView: 2,
                },
                '0': {
                    slidesPerView: 1,
                },
            },
        });
    }
    function awardSlider($scope, $) {
        var slider = new Swiper(".hd-award-slider", {
            loop: true,
            spaceBetween: 40,
            speed: 400,
            slidesPerView: 8,
            centeredSlides: true,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 8,
                },
                '768': {
                    slidesPerView: 4,
                    spaceBetween: 30,
                },
                '576': {
                    slidesPerView: 3,
                    spaceBetween: 30,
                },
                '0': {
                    slidesPerView: 2,
                    spaceBetween: 20,
                    centeredSlides: false,
                },
            },
        });
    }
    function roadmapSlider($scope, $) {
        var slider = new Swiper(".raodmap-slider", {
            loop: true,
            spaceBetween: 50,
            speed: 400,
            slidesPerView: 3,
            autoplay: {
                enabled: true,
                delay: 6000
            },
            pagination: {
                el: ".swiper-pagination",
                clickable: true,
            },
            navigation: {
                nextEl: ".swiper-button-next",
                prevEl: ".swiper-button-prev",
            },
            breakpoints: {
                '1600': {
                    slidesPerView: 3,
                },
                '1024': {
                    slidesPerView: 3,
                    spaceBetween: 30,
                },
                '768': {
                    slidesPerView: 2,
                },
                '576': {
                    slidesPerView: 1,
                },
                '0': {
                    slidesPerView: 1,
                },
            },
        });
    }

    $(window).on('elementor/frontend/init', function () {
        if (elementorFrontend.isEditMode()) {
            elementorFrontend.hooks.addAction('frontend/element_ready/int-brand.default', brandMarquee)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-casestudy.default', caseStudySlider)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-testimonial.default', testimonialSlider)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-team.default', teamSlider)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-service-v2.default', serviceActive)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-casestudy-v2.default', casestudySliderV2)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-testimonial-v2.default', testimonialV2)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-footer-marquee.default', marqueeLeft)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-testimonial-v3.default', daTestimonialSlider)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-footer-marquee-v2.default', marqueeLeft)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-brand-v5.default', marqueeLeft)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-brand-v5.default', marqueeRight)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-industrie-v2.default', industriesSlider)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-testimonial-v4.default', testimonialSliderV4)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-hero-five.default', heroMarquee)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-funfact-v2.default', odometer)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-features-v5.default', buttonAnimation)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-footer-marquee-v3.default', marqueeLeft)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-brand-v7.default', marqueeLeft)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-testimonial-v5.default', testimonialSliderV5)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-award-v2.default', awardSlider)
            elementorFrontend.hooks.addAction('frontend/element_ready/int-roadmap.default', roadmapSlider)
        }
    });


})(jQuery);