<?php

// Create banner options
CSF::createSection($innomax_theme_option, array(
	'title'  => esc_html__('Banner Options', 'innomax-core'),
	'id'     => 'banner_default_options',
	'icon'   => 'fa fa-flag-o',
	'fields' => array(

        array(
            'id'                    => 'banner_default_background',
            'type'                  => 'background',
            'title'                 => esc_html__( 'Banner Background', 'innomax-core' ),
            'background_origin'     => false,
            'background_clip'       => false,
            'background_blend-mode' => false,
            'background_attachment' => false,
            'background_size' => false,
            'background_position' => false,
            'background_repeat' => false,
            'output'                => '.page-title',
            'desc'                  => esc_html__( 'Select banner background color and image. You can change this settings on individual page / post.', 'innomax-core' ),
        ),

		array(
			'id'         => 'banner_default_text_align',
			'type'       => 'button_set',
			'title'      => esc_html__( 'Banner Text Align', 'innomax-core' ),
			'options'    => array(
				'start'   => esc_html__( 'Left', 'innomax-core' ),
				'center' => esc_html__( 'Center', 'innomax-core' ),
				'end'  => esc_html__( 'Right', 'innomax-core' ),
			),
			'default'    => 'start',
			'desc'       => esc_html__( 'Select banner text align. You can change this settings on individual page / post.', 'innomax-core' ),
		),

		array(
			'id'          => 'banner_default_height',
			'type'        => 'slider',
			'title'       => esc_html__('Banner Height', 'innomax-core'),
			'min'         => 100,
			'max'         => 800,
			'step'        => 1,
			'unit'        => 'px',
			'output'      => '.page-title',
			'output_mode' => 'height',
			'desc'        => esc_html__('Select banner height. You can change this settings on individual page / post.', 'innomax-core'),
		),

        array(
            'id'      => 'enable_breadcrumb',
            'title'   => esc_html__( 'Enable Breadcrumb', 'innomax-core' ),
            'type'    => 'switcher',
            'desc'    => esc_html__( 'Breadcrumb Hide Show', 'innomax-core' ),
            'default' => false,
        ),
	)
));