<?php

// Create blog page options
CSF::createSection( $innomax_theme_option, array(
	'title'  => esc_html__( 'Blog Page', 'innomax-core' ),
	'id'     => 'blog_page_options',
	'icon'   => 'fa fa-pencil-square-o',
	'fields' => array(

		array(
			'id'      => 'blog_layout',
			'type'    => 'select',
            'chosen'      => true,
			'title'   => esc_html__('Blog Layout', 'innomax-core'),
			'options' => array(
				'grid'          => esc_html__('Grid Full', 'innomax-core'),
				'grid-ls'       => esc_html__('Grid With Left Sidebar', 'innomax-core'),
				'grid-rs'       => esc_html__('Grid With Right Sidebar', 'innomax-core'),
				'left-sidebar'  => esc_html__('Left Sidebar', 'innomax-core'),
				'right-sidebar' => esc_html__('Right Sidebar', 'innomax-core'),
			),
			'default' => 'right-sidebar',
			'desc'    => esc_html__('Select blog page layout.', 'innomax-core'),
		),

		array(
			'id'       => 'blog_banner',
			'type'     => 'switcher',
			'title'    => esc_html__('Enable Blog Banner', 'innomax-core'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Enable or disable blog page banner.', 'innomax-core'),
		),

		array(
			'id'                    => 'blog_banner_background_options',
			'type'                  => 'background',
			'title'                 => esc_html__('Banner Background', 'innomax-core'),
			'background_origin'     => false,
			'background_clip'       => false,
			'background_blend-mode' => false,
			'background_attachment' => false,
			'background_size' => false,
			'background_position' => false,
			'background_repeat' => false,
			'dependency'            => array('blog_banner', '==', true),
			'output'                => '.page-title.blog-banner',
			'desc'                  => esc_html__('If you want different banner background settings for blog page then select blog page banner background Options from here.', 'innomax-core'),
		),

        array(
            'id' =>'blog_subtitle_img',
            'type'=>'media',
            'title'=>esc_html__( 'Blog Subtitle Image', 'innomax-core' ),
            'library'      => 'image',
            'url'          => false,
            'button_title' => esc_html__( 'Upload Image', 'innomax-core' ),
            'desc'         => esc_html__( 'Upload image', 'innomax-core' ),
            'dependency' => array('blog_banner', '==', true),
        ),
		array(
			'id'         => 'blog_title_sub',
			'type'       => 'text',
			'title'      => esc_html__('Banner Sub Title', 'innomax-core'),
			'desc'       => esc_html__('Type blog banner title here.', 'innomax-core'),
			'dependency' => array('blog_banner', '==', true),
		),
		array(
			'id'         => 'blog_title',
			'type'       => 'text',
			'title'      => esc_html__('Banner Title', 'innomax-core'),
			'desc'       => esc_html__('Type blog banner title here.', 'innomax-core'),
            'default'         => esc_html__( 'Blog', 'innomax-core' ),
			'dependency' => array('blog_banner', '==', true),
		),

        array(
            'id' =>'blog_banner_img',
            'type'=>'media',
            'title'=>esc_html__( 'Blog Banner Image', 'innomax-core' ),
            'library'      => 'image',
            'url'          => false,
            'button_title' => esc_html__( 'Upload Image', 'innomax-core' ),
            'desc'         => esc_html__( 'Upload Blog Banner image', 'innomax-core' ),
        ),
        array(
            'id'     => 'blog_image',
            'type'   => 'fieldset',
            'title'  => 'Blog Image',
            'fields' => array(
                array(
                    'id' =>'image',
                    'type'=>'media',
                    'title'=>esc_html__( 'Image', 'innomax-core' ),
                    'library'      => 'image',
                    'url'          => false,
                    'button_title' => esc_html__( 'Upload Image', 'innomax-core' ),
                    'desc'         => esc_html__( 'Upload Blog image', 'innomax-core' ),
                ),
                array(
                    'id' =>'shape',
                    'type'=>'media',
                    'title'=>esc_html__( 'Shape', 'innomax-core' ),
                    'library'      => 'image',
                    'url'          => false,
                    'button_title' => esc_html__( 'Upload Shape', 'innomax-core' ),
                    'desc'         => esc_html__( 'Upload Image Shape', 'innomax-core' ),
                ),
            ),
        ),
		array(
			'id'       => 'post_author',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Author Name', 'innomax-core'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Hide / Show post author name.', 'innomax-core'),
		),

		array(
			'id'       => 'post_date',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Post Date', 'innomax-core'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Hide / Show post date.', 'innomax-core'),
		),

		array(
			'id'         => 'show_category',
			'type'       => 'switcher',
			'title'      => esc_html__('Show Category Name', 'innomax-core'),
			'default'    => false,
			'text_on'    => esc_html__('Yes', 'innomax-core'),
			'text_off'   => esc_html__('No', 'innomax-core'),
			'desc'       => esc_html__('Hide / Show post category name.', 'innomax-core'),
			'dependency' => array('blog_layout', 'any', 'right-sidebar,left-sidebar'),
		),

		array(
			'id'         => 'read_more_button',
			'type'       => 'switcher',
			'title'      => esc_html__('Show Read More Button', 'innomax-core'),
			'default'    => true,
			'text_on'    => esc_html__('Yes', 'innomax-core'),
			'text_off'   => esc_html__('No', 'innomax-core'),
			'desc'       => esc_html__('Hide / Show post read more button.', 'innomax-core'),
		),

	)
) );