<?php
// Product
CSF::createSection( $innomax_theme_option, array(
    'title'  => esc_html__( 'Casestudy', 'innomax-core' ),
    'id'     => 'casestudy_option',
    'icon'   => 'fa fa-th',
    'fields' => array(
        array(
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Casestudy Single Breadcrumb', 'innomax-core' ) . '</h3>',
        ),

        array(
            'id'       => 'enable_casestudy_banner',
            'type'     => 'switcher',
            'title'    => __( 'Enable Banner', 'innomax-core' ),
            'text_on'  => __( 'Yes', 'innomax-core' ),
            'text_off' => __( 'No', 'innomax-core' ),
            'default'  => true
        ),
        array(
            'id'       => 'enable_casestudy_breadcrumb',
            'type'     => 'switcher',
            'title'    => __( 'Enable Breadcrumb', 'innomax-core' ),
            'text_on'  => __( 'Yes', 'innomax-core' ),
            'text_off' => __( 'No', 'innomax-core' ),
            'default'  => false,
            'dependency' => array( 'enable_casestudy_banner', '==', 'true' )
        ),

        array(
            'id'                    => 'banner_casestudy_background',
            'type'                  => 'background',
            'title'                 => esc_html__( 'Banner Background', 'innomax-core' ),
            'background_origin'     => false,
            'background_clip'       => false,
            'background_blend-mode' => false,
            'background_attachment' => false,
            'background_size' => false,
            'background_position' => false,
            'background_repeat' => false,
            'output'                => '.casestudy-banner',
            'dependency' => array( 'enable_casestudy_banner', '==', 'true' ),
        ),
        array(
            'id' =>'casestudy_subtitle_img',
            'type'=>'media',
            'title'=>esc_html__( 'Casestudy Subtitle Image', 'innomax-core' ),
            'library'      => 'image',
            'url'          => false,
            'button_title' => esc_html__( 'Upload Image', 'innomax-core' ),
            'desc'         => esc_html__( 'Upload image', 'innomax-core' ),
            'dependency' => array('enable_casestudy_banner', '==', true),
        ),
        array(
            'id'         => 'casestudy_title_sub',
            'type'       => 'text',
            'title'      => esc_html__('Banner Sub Title', 'innomax-core'),
            'desc'       => esc_html__('Type casestudy banner title here.', 'innomax-core'),
            'dependency' => array('enable_casestudy_banner', '==', true),
        ),
        array(
            'id'         => 'casestudy_breadcrumb_title',
            'type'       => 'text',
            'title'      => esc_html__('Casestudy Single Title', 'innomax-core'),
            'desc'       => esc_html__('If you want custom title write title here or If you want to use casestudy default title leave it empty.', 'innomax-core'),
            'dependency' => array( 'enable_casestudy_banner', '==', 'true' ),
        ),

        array(
            'id'     => 'casestudy_image',
            'type'   => 'fieldset',
            'title'  => 'Blog Image',
            'dependency' => array('enable_casestudy_banner', '==', true),
            'fields' => array(
                array(
                    'id' =>'image',
                    'type'=>'media',
                    'title'=>esc_html__( 'Image', 'innomax-core' ),
                    'library'      => 'image',
                    'url'          => false,
                    'button_title' => esc_html__( 'Upload Image', 'innomax-core' ),
                    'desc'         => esc_html__( 'Upload Blog image', 'innomax-core' ),
                ),
                array(
                    'id' =>'shape',
                    'type'=>'media',
                    'title'=>esc_html__( 'Shape', 'innomax-core' ),
                    'library'      => 'image',
                    'url'          => false,
                    'button_title' => esc_html__( 'Upload Shape', 'innomax-core' ),
                    'desc'         => esc_html__( 'Upload Image Shape', 'innomax-core' ),
                ),
            ),
        ),

    ),
) );