<?php
//Single Post

CSF::createSection( $innomax_theme_option, array(
	'title'  => esc_html__( 'Single Post / Post Details', 'innomax-core' ),
	'id'     => 'single_post_options',
	'icon'   => 'fa fa-pencil',
	'fields' => array(

		array(
			'id'      => 'single_post_default_layout',
			'type'    => 'select',
            'chosen'      => true,
			'title'   => esc_html__( 'Layout', 'innomax-core' ),
			'options' => array(
				'left-sidebar'  => esc_html__( 'Left Sidebar', 'innomax-core' ),
				'full-width'    => esc_html__( 'Full Width', 'innomax-core' ),
				'right-sidebar' => esc_html__( 'Right Sidebar', 'innomax-core' ),
			),
			'default' => 'right-sidebar',
			'desc'    => esc_html__( 'Select single post layout', 'innomax-core' ),
		),


		array(
			'id'         => 'single_post_default_sidebar',
			'type'       => 'select',
            'chosen'      => true,
			'title'      => esc_html__( 'Sidebar', 'innomax-core' ),
			'options'    => 'innomax_sidebars',
			'default' => 'sidebar',
			'dependency' => array( 'single_post_default_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select default sidebar for all posts. You can override this settings on individual post.', 'innomax-core' ),
		),

		array(
			'id'       => 'show_default_title',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Post Title On Banner?', 'innomax-core'),
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Show post title on single post banner area. Default title is "Blog Details" for all single post.', 'innomax-core'),
			'default'  => true,
		),


		array(
			'id'         => 'single_post_banner_title',
			'type'       => 'text',
			'title'      => esc_html__('Banner Default Title', 'innomax-core'),
			'desc'       => esc_html__('Default banner title for all single post.', 'innomax-core'),
			'default'       => esc_html__('Blog Details', 'innomax-core'),
			'dependency' => array( 'show_default_title', '==', 'false' ),
		),

        array(
            'id' =>'single_post_subtitle_img',
            'type'=>'media',
            'title'=>esc_html__( 'Single Post Subtitle Image', 'innomax-core' ),
            'library'      => 'image',
            'url'          => false,
            'button_title' => esc_html__( 'Upload Image', 'innomax-core' ),
            'desc'         => esc_html__( 'Upload image', 'innomax-core' ),
        ),
        array(
            'id'         => 'single_post_title_sub',
            'type'       => 'text',
            'title'      => esc_html__('Single Post Subtitle', 'innomax-core'),
            'desc'       => esc_html__('Type blog banner title here.', 'innomax-core'),
        ),
        array(
            'id'     => 'single_post_image',
            'type'   => 'fieldset',
            'title'  => 'Blog Image',
            'fields' => array(
                array(
                    'id' =>'image',
                    'type'=>'media',
                    'title'=>esc_html__( 'Image', 'innomax-core' ),
                    'library'      => 'image',
                    'url'          => false,
                    'button_title' => esc_html__( 'Upload Image', 'innomax-core' ),
                    'desc'         => esc_html__( 'Upload Blog image', 'innomax-core' ),
                ),
                array(
                    'id' =>'shape',
                    'type'=>'media',
                    'title'=>esc_html__( 'Shape', 'innomax-core' ),
                    'library'      => 'image',
                    'url'          => false,
                    'button_title' => esc_html__( 'Upload Shape', 'innomax-core' ),
                    'desc'         => esc_html__( 'Upload Image Shape', 'innomax-core' ),
                ),
            ),
        ),
		array(
			'id'       => 'single_post_author',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Author Name', 'innomax-core'),
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Hide or show author name on post details page.', 'innomax-core'),
			'default'  => true
		),

		array(
			'id'       => 'single_post_date',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Date', 'innomax-core'),
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Hide or show date on post details page.', 'innomax-core'),
			'default'  => true
		),

		array(
			'id'       => 'single_post_cmnt',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Comments Number', 'innomax-core'),
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Hide or show comments number on post details page.', 'innomax-core'),
			'default'  => true,
		),

		array(
			'id'       => 'single_post_catd',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Categories', 'innomax-core'),
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Hide or show categories on post details page.', 'innomax-core'),
			'default'  => false
		),

		array(
			'id'       => 'single_post_tag',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Tags', 'innomax-core'),
			'text_on'  => esc_html__('Yes', 'innomax-core'),
			'text_off' => esc_html__('No', 'innomax-core'),
			'desc'     => esc_html__('Hide or show tags on post details page.', 'innomax-core'),
			'default'  => true
		),
	)
) );