<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Innomax
 */

get_header();

$archive_layout = innomax_option('archive_layout', 'right-sidebar');
$archive_banner = innomax_option('archive_banner', true);
$enable_breadcrumb = innomax_option('enable_breadcrumb', false);
$banner_text_align = innomax_option('banner_default_text_align', 'start');
?>

    <?php if ($archive_banner == true) : ?>
    <section class="page-title pt-185 archive-banner pos-rel bg_img">
        <div class="container">
            <div class="page-title-wrap">
                <div class="row mt-none-30 align-items-end">
                    <div class="col-lg-7 mt-30">
                        <div class="page-title-box text-<?php echo esc_attr($banner_text_align); ?>">
                            <?php
                            the_archive_title('<h2 class="title">', '</h2>');
                            ?>
                        </div>
                        <?php if (function_exists('bcn_display') && $enable_breadcrumb == true) : ?>
                            <div class="innomax_breadcrumb">
                                <div class="breadcrumb-container">
                                    <?php bcn_display(); ?>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>

    <div id="primary" class="content-area pt-120 pb-130 layout-<?php echo esc_attr($archive_layout); ?>">
        <div class="container">
            <?php
            if ($archive_layout == 'grid') {
                get_template_part('template-parts/post/post-grid');
            } else {
                get_template_part('template-parts/post/post-sidebar');
            }
            ?>
        </div>
    </div>

<?php
get_footer();
