<?php

function innomax_comment_form($innomax_comment_form_fields){

	$innomax_comment_form_fields['author'] = '
        <div class="row comment-form-wrap">
        <div class="col-lg-6">
            <div class="form-group">
                <input type="text" name="author" id="name-cmt" placeholder="'.esc_attr__('Name*', 'innomax').'">
            </div>
        </div>
    ';

	$innomax_comment_form_fields['email'] =  '
        <div class="col-lg-6">
            <div class="form-group">
                <input type="email" name="email" id="email-cmt" placeholder="'.esc_attr__('Email*', 'innomax').'">
            </div>
        </div>
    ';

	$innomax_comment_form_fields['url'] = '
        <div class="col-lg-12">
            <div class="form-group">
                <input type="text" name="url" id="website-cmt"  placeholder="'.esc_attr__('Website', 'innomax').'">
            </div>
        </div>
        </div>
        
    ';

	return $innomax_comment_form_fields;
}

add_filter('comment_form_default_fields', 'innomax_comment_form');

function innomax_comment_default_form($default_form){

	$default_form['comment_field'] = '
        <div class="row">
            <div class="col-sm-12">
                <div class="comment-message">
                    <textarea name="comment" id="message-cmt" rows="5" required="required"  placeholder="'.esc_attr__('Your Comment*', 'innomax').'"></textarea>
                </div>
            </div>
        </div>
    ';

	$default_form['submit_button'] = '
    <button type="submit" class="cp-btn">
          <span class="btn_label" data-text="'.esc_attr('Post Comment', 'innomax').'">'.esc_html__('Post Comment', 'innomax').'</span>
          <span class="btn_icon">
            <i class="fal fa-arrow-right"></i>
          </span>
        </button>
    ';

	$default_form['comment_notes_before'] = esc_html__('All fields marked with an asterisk (*) are required', 'innomax' );
	$default_form['title_reply'] = esc_html__('Leave A Comment', 'innomax');
	$default_form['title_reply_before'] = '<h4 class="comments-heading">';
	$default_form['title_reply_after'] = '</h4>';

	return $default_form;
}

add_filter('comment_form_defaults', 'innomax_comment_default_form');


function innomax_move_comment_field_to_bottom( $fields ) {
	$comment_field = $fields['comment'];
	unset( $fields['comment'] );
	$fields['comment'] = $comment_field;
	return $fields;
}

add_filter( 'comment_form_fields', 'innomax_move_comment_field_to_bottom' );