<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Innomax
 */

get_header();

$search_banner = innomax_option('search_banner', true);
$search_layout = innomax_option('search_layout', 'right-sidebar');
$enable_breadcrumb = innomax_option('enable_breadcrumb', false);
$banner_text_align = innomax_option('banner_default_text_align', 'start');
?>

    <?php if ($search_banner == true) : ?>
    <section class="page-title pt-185 search-banner pos-rel bg_img">
        <div class="container">
            <div class="page-title-wrap">
                <div class="row mt-none-30 align-items-end">
                    <div class="col-lg-7 mt-30">
                        <div class="page-title-box text-<?php echo esc_attr($banner_text_align); ?>">
                            <h2 class="title"><?php
                                /* translators: %s: search query. */
                                printf(esc_html__('Search Results for: %s', 'innomax'), '<span>' . get_search_query() . '</span>');
                                ?>
                            </h2>
                        </div>
                        <?php if (function_exists('bcn_display') && $enable_breadcrumb == true) : ?>
                            <div class="innomax_breadcrumb">
                                <div class="breadcrumb-container">
                                    <?php bcn_display(); ?>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>

    <div id="primary" class="content-area pt-120 pb-130 layout-<?php echo esc_attr($search_layout); ?>">
        <div class="container">
            <?php
            if ($search_layout == 'grid') {
                get_template_part('template-parts/post/post-grid');
            } else {
                get_template_part('template-parts/post/post-sidebar');
            }
            ?>
        </div>
    </div><!-- #primary -->

<?php
get_footer();
