<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package innomax
 */

get_header();
$casestudy_banner = innomax_option('enable_casestudy_banner', true);
$casestudy_breadcrumb = innomax_option('enable_casestudy_breadcrumb', true);
$banner_text_align = innomax_option('banner_default_text_align', 'start');
$casestudy_breadcrumb_title = innomax_option('casestudy_breadcrumb_title');
$casestudy_title_sub = innomax_option('casestudy_title_sub');
$casestudy_subtitle_img = innomax_option('casestudy_subtitle_img');
$casestudy_image = innomax_option('casestudy_image');
?>
<?php if ($casestudy_banner == true) : ?>
    <section class="page-title pt-185 casestudy-banner pos-rel bg_img">
        <div class="container">
            <div class="page-title-wrap">
                <div class="row mt-none-30 align-items-end">
                    <div class="col-lg-7 mt-30">
                        <div class="page-title-box text-<?php echo esc_attr($banner_text_align); ?>">
                            <?php if (!empty($casestudy_title_sub)): ?>
                                <span class="sub-title"><img src="<?php echo esc_url($casestudy_subtitle_img['url']); ?>"
                                                             alt=""> <?php echo esc_html($casestudy_title_sub); ?></span>
                            <?php endif; ?>
                            <h2 class="title">
                                <?php
                                if (!empty($casestudy_breadcrumb_title)) {
                                    echo esc_html($casestudy_breadcrumb_title);
                                } else {
                                    the_title();
                                }
                                ?>
                            </h2>
                        </div>
                        <?php
                        if (function_exists('bcn_display') && $casestudy_breadcrumb == true) :?>
                            <div class="innomax_breadcrumb">
                                <div class="breadcrumb-container">
                                    <?php bcn_display(); ?>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                    <?php if (!empty($casestudy_image['image']['url'])): ?>
                        <div class="col-lg-5 mt-30">
                            <div class="sd-right-img pos-rel">
                                <img src="<?php echo esc_url($casestudy_image['image']['url']); ?>" alt="">
                                <div class="sd-arrow-shape style-2">
                                    <img class="xbzoominzoomup"
                                         src="<?php echo esc_url($casestudy_image['shape']['url']); ?>" alt="">
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php
while (have_posts()) :
    the_post();

    get_template_part('template-parts/content', 'casestudy');


endwhile; // End of the loop.
?>

<?php
get_footer();
