<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package innomax
 */

get_header();
$service_banner = innomax_option('enable_service_banner', true);
$service_breadcrumb = innomax_option('enable_service_breadcrumb', true);
$banner_text_align = innomax_option('banner_default_text_align', 'start');
$service_breadcrumb_title = innomax_option('service_breadcrumb_title');
$service_title_sub = innomax_option('service_title_sub');
$service_subtitle_img = innomax_option('service_subtitle_img');
$service_image = innomax_option('service_image');
?>
<?php if ($service_banner == true) : ?>
    <section class="page-title pt-185 service-banner pos-rel bg_img">
        <div class="container">
            <div class="page-title-wrap">
                <div class="row mt-none-30 align-items-end">
                    <div class="col-lg-7 mt-30">
                        <div class="page-title-box text-<?php echo esc_attr($banner_text_align); ?>">
                            <?php if (!empty($service_title_sub)): ?>
                                <span class="sub-title"><img src="<?php echo esc_url($service_subtitle_img['url']); ?>"
                                                             alt=""> <?php echo esc_html($service_title_sub); ?></span>
                            <?php endif; ?>
                            <h2 class="title">
                                <?php
                                if (!empty($service_breadcrumb_title)) {
                                    echo esc_html($service_breadcrumb_title);
                                } else {
                                    the_title();
                                }
                                ?>
                            </h2>
                        </div>
                        <?php
                        if (function_exists('bcn_display') && $service_breadcrumb == true) :?>
                            <div class="innomax_breadcrumb">
                                <div class="breadcrumb-container">
                                    <?php bcn_display(); ?>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                    <?php if (!empty($service_image['image']['url'])): ?>
                        <div class="col-lg-5 mt-30">
                            <div class="sd-right-img pos-rel">
                                <img src="<?php echo esc_url($service_image['image']['url']); ?>" alt="">
                                <div class="sd-arrow-shape style-2">
                                    <img class="xbzoominzoomup"
                                         src="<?php echo esc_url($service_image['shape']['url']); ?>" alt="">
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php
while (have_posts()) :
    the_post();

    get_template_part('template-parts/content', 'service');


endwhile; // End of the loop.
?>

<?php
get_footer();
